NSTextInternal::PicturePara Struct Reference

Internal: the picture data ( PICD ) More...

## Public Member Functions

| PicturePara ()
| constructor More...

## Public Attributes

int | m_id
| the picture id More...
int | m_paragraph
| the paragraph position More...
Box2i | m_position
| the position More...

## Friends

std::ostream & | operator<< (std::ostream &o, PicturePara const &pict)
| operator<< More...

## Detailed Description

Internal: the picture data ( PICD )

## Constructor & Destructor Documentation

NSTextInternal::PicturePara::PicturePara | ( |  | ) |

inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | PicturePara const & | pict
| ) |  |

friend

operator<<

## Member Data Documentation

int NSTextInternal::PicturePara::m_id

the picture id

Referenced by NSTextInternal::operator<<(), NSText::readPICD(), and NSText::sendText().

int NSTextInternal::PicturePara::m_paragraph

the paragraph position

Referenced by NSTextInternal::operator<<(), and NSText::readPICD().

Box2i NSTextInternal::PicturePara::m_position

the position

Referenced by NSTextInternal::operator<<(), NSText::readPICD(), and NSText::sendText().

The documentation for this struct was generated from the following file:

- NSText.cxx